package de.ivu.elect.presentation.stimmeingabe.form;

import de.ivu.elect.business.stimmeingabe.control.plausi.GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData;
import de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiKonfigurationPropertyContext;

import javax.annotation.Nullable;

public class GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomDataObererSchwellwertProperty extends AbstractGruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomDataSchwellwertProperty {

  public GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomDataObererSchwellwertProperty(GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData customData, Long schwellwertId, StimmeingabePlausiKonfigurationPropertyContext context) {
    super(customData, schwellwertId, context);
  }

  @Override
  public Double getValue() {
    return getCustomData().getSchwellwert(getSchwellwertId()).getObererSchwellwert();
  }

  @Override
  public void setValue(Double aDouble) {
    getCustomData().setObererSchwellwert(getSchwellwertId(), aDouble);
  }

  @Override
  public String getDefaultLabel() {
    return getMessage("GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData.schwellwert.oberer.");
  }

  @Nullable
  @Override
  public String getDefaultTooltip() {
    return getMessage("GruppeListenstimmenAnteilComparedToVorperiodeKleinerGleichSchwellwertCustomData.schwellwert.oberer.tooltip");
  }
}
